Package org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps

## Class LeftJoinQueryEvaluationStep

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.evaluationsteps.LeftJoinQueryEvaluationStep

- All Implemented Interfaces:
    `QueryEvaluationStep`

      public final class LeftJoinQueryEvaluationStep
      extends Object
      implements QueryEvaluationStep

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.QueryEvaluationStep

      `QueryEvaluationStep.DelayedEvaluationIteration`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LeftJoinQueryEvaluationStep​(QueryEvaluationStep right, QueryValueEvaluationStep condition, QueryEvaluationStep left, LeftJoin leftJoin, VarNameCollector optionalVarCollector)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseableIteration<BindingSet,​QueryEvaluationException>` | `evaluate​(BindingSet bindings)` |
    `static QueryEvaluationStep` | `supply​(EvaluationStrategy strategy, LeftJoin leftJoin, QueryEvaluationContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeftJoinQueryEvaluationStep

          public LeftJoinQueryEvaluationStep​(QueryEvaluationStep right,
                                             QueryValueEvaluationStep condition,
                                             QueryEvaluationStep left,
                                             LeftJoin leftJoin,
                                             VarNameCollector optionalVarCollector)

  - ### Method Detail

    - #### supply

          public static QueryEvaluationStep supply​(EvaluationStrategy strategy,
                                                   LeftJoin leftJoin,
                                                   QueryEvaluationContext context)

    - #### evaluate

          public CloseableIteration<BindingSet,​QueryEvaluationException> evaluate​(BindingSet bindings)

      Specified by:
        `evaluate` in interface `QueryEvaluationStep`